
var room =
{
  _last: "",
  _username: null,
  _chatMembership: null,
  _members: new Array(),
  
  join: function(channel)
  {
    if (room._username!=null)
      room.leave();

    var name = $('username').value;
    if (!channel)
        channel = $('channel').value;

    if (name == null || name.length==0 )
    {
      alert('Please enter a username!');
    }
    else if (channel == null || channel.length==0) {
      alert('Please enter a channel!');
    }
    else
    {
       this._username = name;
       this._chatMembership = "topic://CHAT." + channel;

       $('join').className='hidden';
       Behaviour.apply();
       amq.addListener('chat',room._chatMembership,room._chat);
       $('join').className='hidden';
       $('joined').className='';
       $('phrase').focus();
       $('chattitle').innerHTML=channel+' chat:';
       Behaviour.apply();
       amq.sendMessage(room._chatMembership, "<message type='join' from='" + room._username + "'/>");
    }
  },
  
  leave: function()
  {
       amq.removeListener('chat',room._chatMembership);
       // switch the input form
       $('join').className='';
       $('joined').className='hidden';
       //$('channel').focus();
       $('chat').value='';
       $('chattitle').innerHTML='Stock chat:';
       room._members=new Array();
       room._writeMembers();
       Behaviour.apply();
       amq.sendMessage(room._chatMembership, "<message type='leave' from='" + room._username + "'/>");
       room._username=null;
  },
  
  chat: function()
  {
    var text = $F('phrase');
    $('phrase').value='';
    if (text != null && text.length>0 )
    {
        // TODO more encoding?
        text=text.replace('<','&lt;');
        text=text.replace('>','&gt;');
        amq.sendMessage(room._chatMembership, "<message type='chat' from='" + room._username + "'>" + text + "</message>");
    }
  },
  
  _chat: function(message) 
  {
     var chat=$('chat');
     var type=message.getAttribute('type');
     var from=message.getAttribute('from');
         
     switch(type)
     {
       case 'chat' :
       {
          var text=message.childNodes[0].data;
     
          if ( from == room._last )
            from="...";
          else
          {
            room._last=from;
            from+=":";
          }
     
          // chat.innerHTML += "<span class=\"from\">"+from+"&nbsp;</span><span class=\"text\">"+text+"</span><br/>";
          chat.value += from+' '+text+'\n';
          break;
       }
       
       case 'ping' :
       {
          if(room._members[from]!=from)
          {
            room._members[from]=from;
            room._writeMembers();
          }
	  break;
       }
       
       case 'join' :
       {
          if(room._members[from]!=from)
          {
            room._members[from]=from;
            room._writeMembers();
          }
          if (room._username!=null) 
	    amq.sendMessage(room._chatMembership, "<message type='ping' from='" + room._username + "'/>");
          // chat.innerHTML += "<span class=\"alert\"><span class=\"from\">"+from+"&nbsp;</span><span class=\"text\">has joined the room!</span></span><br/>";
          chat.value+='*** '+from+' has joined the room\n';
          room._last=null;
	  break;
       }
       
       case 'leave':
       {
          if(room._members[from]!=null)
          {
            room._members[from]=null;
            room._writeMembers();
          }
          
          // if (room._username!=null)
          //   amq.sendMessage(room._chatMembership, "<message type='ping' from='" + room._username + "'/>");
          // chat.innerHTML += "<span class=\"alert\"><span class=\"from\">"+from+"&nbsp;</span><span class=\"text\">has left the room!</span></span><br/>";
	  if ('Elvis' == from)
	      chat.value+='*** '+from+' has left the building\n';
	  else
	      chat.value+='*** '+from+' has left the room\n';
          room._last=null;
	  break;
       }
     }
     
     chat.scrollTop = chat.scrollHeight - chat.clientHeight;
     
  },
  
  _poll: function(first)
  {
     if (first ||  $('join').className=='hidden' && $('joined').className=='hidden')
     {
       $('join').className='';
       $('joined').className='hidden';
      Behaviour.apply();
     }
  },

  _writeMembers: function()
  {
    var list=$('memberslist');
    while (list.hasChildNodes()) 
      list.removeChild(list.firstChild);

    room._members.sort();
    for (var name in room._members)
    {
      if (room._members[name]==name)
      {
        var item=document.createElement('li');
        var text=document.createTextNode(room._members[name]);
        item.appendChild(text);
        list.appendChild(item);
      }
    }
  }
};

amq.addPollHandler(room._poll);

var chatBehaviours = 
{ 
  '#channel' : function(element)
  {
     return;
  },
  
  '#username' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
        var keyc=EvUtil.getKeyCode(ev);
        if (keyc==13 || keyc==10)
        {
      	  room.join();
	  return false;
	}
	return true;
    }
  },
  
  '#joinB' : function(element)
  {
    element.onclick = function(event)
    {
      room.join();
      return true;
    }
  },
  
  '#phrase' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeydown = function(ev)
    {   
        var keyc=EvUtil.getKeyCode(ev);
           
        if (keyc==13 || keyc==10)
        {
          room.chat();
	  return false;
	}
	return true;
    }
  },
  
  '#sendB' : function(element)
  {
    element.onclick = function(event)
    {
      room.chat();
    }
  },
  
  
  '#leaveB' : function(element)
  {
    element.onclick = function()
    {
      room.leave();
      return false;
    }
  }
};

Behaviour.register(chatBehaviours); 














