


var portfolio =
{
  // TODO this should eventually be a class to support multiple portfolios on
  // the same page.
  
  monitorStock: function (stock, units)
  {
  	
    //Check if Symbol is a number
    if(FormValidation.isEmpty(stock))
    {
      alert("Symbol is required. Please try again!");
      return false;
    }
    //Check if Quantity is a number
    if(!FormValidation.isNumber(units))
    {
      alert("Quantity requires a valid number. Please try again!");
      return false;
    }
  	
    var tbody = $("pftbody");

    if(!tbody)
      return;
      
    //removes the previous stock on the lis if already existing.
    //Note: stock is the row.
    if(portfolio._isRowExist(tbody, stock)){
      portfolio.unmonitorStock(stock);
    }      

    //create stock row
    var row = document.createElement("tr");
    row.setAttribute("id", stock);
    row.pfCells=new Array();

    // add stock cell
    var cell = document.createElement("td");
    var checkbox = document.createElement("input");
    checkbox.setAttribute("type", "checkbox");
    checkbox.onclick = function() { portfolio.unmonitorStock(stock) };
    checkbox.defaultChecked = true;    // works both for IE and Mozilla;  "checked" does not seem to work on windows
    cell.appendChild(checkbox);
    var text=document.createTextNode(' '+stock);
    cell.appendChild(text);
    row.appendChild(cell);
    cell.className='left';
    
    // add chat icons
    cell = document.createElement("td");
    cell.onclick = function() { room.join(stock); };
    var img = document.createElement("img");
    img.className='chatIcon';
    img.setAttribute('src','images/chat.png');

    cell.appendChild(img);
    cell.className='left';
    row.appendChild(cell);    

    // add value cells
    portfolio._addCell(row,'desc',stock + " Stock").className='left';
    portfolio._addCell(row,'bid','-');
    portfolio._addCell(row,'offer','-');
    portfolio._addCell(row,'movement','-');
    portfolio._addCell(row,'amount',units,"td");
    portfolio._addCell(row,'value','-',"td");
    
    //append row to table
    tbody.appendChild(row);
    amq.addListener('stocks','topic://STOCKS.' + stock, portfolio._quote);

    // TODO make this not a direct link to the chat room stuff!!!
    var select=$('channel');
    if (select)
    {
      var option=document.createElement('option');
      option.setAttribute('value',stock);
      var text=document.createTextNode(stock);
      option.appendChild(text);
      select.appendChild(option);
    }
  },

  unmonitorStock: function (stock)
  {
    var select=$('channel');
    for (var i = 0; i < select.options.length; ++i) {
    	if (select.options[i].value == stock) {
    	   select.removeChild(select.options[i]);
    	}   
    }	   
 	
    amq.removeListener('stocks', 'topic://STOCKS.' + stock);
    $('pftbody').removeChild($(stock));
  },

  _quote: function(message)
  {
      var symbol = message.getAttribute('stock');

      // TODO this could be automated with reflection
      var bid = message.getAttribute('bid');
      var offer = message.getAttribute('offer');
      var movement = message.getAttribute('movement');
      
      var row = $(symbol)
      if (row)
      {
        if (bid)
          portfolio._updateCell(row,'bid',fixedDigits(bid,2));

        if (offer)
          portfolio._updateCell(row,'offer',fixedDigits(offer,2));
          
        if (movement){
          
          var movement_legend;
          
          if(movement=='up')movement_legend='<center><img src="images/i_plus5_eng.gif" height="9" width="11"/></center>';
          else if(movement=='down')movement_legend='<center><img src="images/i_minus5_eng.gif" height="9" width="11"/></center>'
          portfolio._updateCell(row,'movement',movement_legend);
        }  
          
          
          
        if (offer){
          var value = asFloat(portfolio._findCell(row, 'amount'))
          portfolio._updateCell(row,'value',fixedDigits((value*bid),2));
        }  
          

        
        /*if (offer)
        {
          portfolio._updateCell(row,'offer',fixedDigits(fi_netchange,2));
          var price_legend = null;

          /*if (fi_lprice)
          {
            var o_price=fi_lprice-fi_netchange;
            var perc_change=100*fi_netchange/o_price;
            portfolio._updateCell(row,'perc_change', fixedDigits(perc_change,1)+'%');

            var cell = portfolio._findCell(row, 'fi_lprice');

            if(cell!=null){
              if(perc_change>5)
                price_legend='<img src="images/i_plus5_eng.gif" height="9" width="11"/>';
              else if(perc_change<=5 && perc_change>3)
                price_legend='<img src="images/i_plus3_5_eng.gif" height="9" width="11"/>';
              else if(perc_change<=3 && perc_change>1)
                price_legend='<img src="images/i_plus1_3_eng.gif" height="9" width="11"/>';
              else if(perc_change<=1 && perc_change>=0)
                price_legend='<img src="images/i_plus1_eng.gif" height="9" width="11"/>';
              else if(perc_change>=-1 && perc_change< 0)
                price_legend='<img src="images/i_minus1_eng.gif" height="9" width="11"/>';
              else if(perc_change>=-3 && perc_change<-1)
                price_legend='<img src="images/i_minus1_3_eng.gif" height="9" width="11"/>';
              else if(perc_change>=-5 && perc_change<-3)
                price_legend='<img src="images/i_minus3_5_eng.gif" height="9" width="11"/>';
              else if(perc_change<-5)
                price_legend='<img src="images/i_minus5_eng.gif" height="9" width="11"/>';
            }

            var value = asFloat(portfolio._findCell(row, 'amount')) * fi_lprice;

            // now lets update the HTML DOM
            portfolio._updateCell(row,'fi_lprice',price_legend + "&nbsp;&nbsp;" +  fixedDigits(fi_lprice,2));
            portfolio._updateCell(row,'value',fixedDigits(value,2));
          }
        }*/
      }
  },

  _addCell: function(row,type,value)
  {
      var cell=document.createElement("td");
      var text=document.createTextNode(value);
      cell.appendChild(text);
      row.appendChild(cell);
      row.pfCells[type]=cell;
      return cell;
  },

  _findCell: function(row,type)
  {
      return row.pfCells[type];
  },

  _updateCell: function(row,type,value)
  {
      if (row.pfCells[type])
      {
        var cell = row.pfCells[type];

        if (cell!=null && cell.lastValue!=value)
        {
          cell.lastValue=value;
          cell.innerHTML=value;
          var old_fade=0;

          if (cell.fade) old_fade=cell.fade;

          cell.fade=9;

          if (cell.className!=null && cell.className.substring(0,4)=='left')
              cell.className='left9';
          else
              cell.className='right9';

          if (old_fade<=0) portfolio._fade[portfolio._fade.length]=cell;
        }
      }
  },
  
  _isRowExist: function(tbody, stock)
  {
    if(!tbody || !stock) return false;

    for(var i=0;i<tbody.rows.length;i++){
      var rowElem = tbody.rows[i];
      var rowId = rowElem.id;
      if(rowId != null && rowId==stock){
        return true;
      }
    }
    return false;
  },  

  _poll: function(first)
  {
      if (first)
      {
        portfolio.monitorStock('IBMW',100);
        portfolio.monitorStock('BEAS',3525);
        portfolio.monitorStock('SUNW',1500);
        portfolio.monitorStock('MSFT',100);
      }
  },
  
  _tick: function()
  {
    var new_fade=new Array();
    var j=0;
    for (var i in portfolio._fade)
    {
      var cell = portfolio._fade[i];
      if (cell!=null && cell.fade)
      {
        var f = cell.fade;
        if (f<=1)
	{
	  cell.fade=0;
	  if (cell.className!=null && cell.className.substring(0,4)=='left')
	    cell.className='left';
	  else
	    cell.className='right';
	}
	else
	{
	  f=f-1;
	  cell.fade=f;
	  if (cell.className!=null && cell.className.substring(0,4)=='left')
	    cell.className='left'+f;
	  else
	    cell.className='right'+f;
	  new_fade[j++]=cell;
        }
	portfolio._fade[i]=null;
      }
    }
    portfolio._fade=new_fade;
    setTimeout('portfolio._tick()',1500);
  }
};

amq.addPollHandler(portfolio._poll);
setTimeout('portfolio._tick()',3000);

/// -----------------
// Original code by Joe Walnes
// -----------------

/*** Convenience methods, added as mixins to standard classes (object prototypes) ***/

/**
 * Return number as fixed number of digits.
 */
function fixedDigits(v, digits) {
    var val=1*v;
    return (val.toFixed) ? val.toFixed(digits) : val;
}

/**
 * Return the text contents of an element as a floating point number.
 */
function asFloat(t) {
    return parseFloat(t.innerHTML)
}

var formValidation =
{
  _isEmpty: function(value){

    value = formValidation._trimValue(value);

    if(value==null || value==''){
      return false;
    }
    return true;
  },

  _isNumber: function(quantity){

    quantity = formValidation._trimValue(quantity);

    var anum=/(^\d+$)|(^\d+\.\d+$)/
    if (quantity==null || !anum.test(quantity)){
      return false;
    }
    return true;
  },

  _trimValue: function(value){

    while (value.substring(0,1) == ' '){
      value = value.substring(1, value.length);
    }

    while (value.substring(value.length-1, value.length) == ' '){
      value = value.substring(0,value.length-1);
    }

    return value;
  },
  
  _getSupportedStock: function(){
    return new Array("IBMW","BEAS","MSFT","AMAT","ASML","DELL","ORCL","SIRI","YHOO","EBAY","PVX","SLAB","SUNW");
  },

  _isSupportedStock: function(stock)
  {
    var supportedStocks=formValidation._getSupportedStock();
    
    for(var i=0;i<supportedStocks.length;i++){
      var tempStock=supportedStocks[i];
      if(stock==tempStock){
        return true;
      }
    }
    return false;
  } 
};


var portfolioBehaviours =
{
  '#stock' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
    	
        var keyc=getKeyCode(ev);
        if (keyc==13 || keyc==10)
        {
        $('units').focus();
	  return false;
	}
	return true;
    }
  },

  '#units' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
    	
        var keyc=getKeyCode(ev);
        if (keyc==13 || keyc==10)
        {
        //Check if Symbol is a number
        if(!formValidation._isEmpty($('stock').value)){
          alert("Symbol is required. Please try again!");
          $('stock').value='';
          $('stock').focus();
          return false;
        }

        //Check if Quantity is a number
        if(!formValidation._isNumber($('units').value)){
          alert("Holdings requires a valid number. Please try again!");
          $('units').focus();
          return false;
        }
      
        //Check if Stock is supported.
        if(!formValidation._isSupportedStock($('stock').value)){
          alert("Stock is not supported. Please enter a valid stock id!");
          $('stock').focus();
          return false;
        }        	
          portfolio.monitorStock($('stock').value, $('units').value);
          $('stock').value='';
          $('units').value='';
          $('stock').focus();
	  return false;
	}
	return true;
    }
  },

  '#monitor' : function(element)
  {
    element.onclick = function()
    {
      //Check if Symbol is a number
      if(!formValidation._isEmpty($('stock').value)){
        alert("Symbol is required. Please try again!");
        $('stock').value='';
        $('stock').focus();
        return false;
      }

      //Check if Quantity is a number
      if(!formValidation._isNumber($('units').value)){
        alert("Holdings requires a valid number. Please try again!");
        $('units').focus();
        return false;
      }
      
      //Check if Stock is supported.
      if(!formValidation._isSupportedStock($('stock').value)){
        alert("Stock is not supported. Please enter a valid stock id!");
        $('stock').focus();
        return false;
      }
      
      
      portfolio.monitorStock($('stock').value, $('units').value);
      $('stock').value='';
      $('units').value='';
      $('stock').focus();
      return true;
    }
  }

};

Behaviour.register(portfolioBehaviours);