var requestor = {

    uri: 'sendRequest/',
    httpUrl: "http://localhost:8077/grocery-demo/JdbcService/",

    sendRequest: function(client, type, item, quantity){
        var xmlMsg = requestor.toXML(client, type, item, quantity);
        var params = "url="+requestor.httpUrl+"&content="+xmlMsg;
        
        var updaterReq = new Ajax.Request(requestor.uri, { method: 'post', parameters: params, onComplete: requestor.showResponse });
    },
    
    sendRandomRequest: function(number, interval){
        var params = "url="+requestor.httpUrl+"&number="+number+"&interval="+interval;
        var updaterReq = new Ajax.Request(requestor.uri, { method: 'post', parameters: params, onComplete: requestor.showResponse });
    },

    showResponse: function(request){
        var result = request.responseXML;
        
        if(result != null){
          var response = result.getElementsByTagName("updateCount")[0];
          alert("Successfully updated " + response.getAttribute("value")+ " transaction/s!");
        }
    },
   
    toXML: function(client, type, item, quantity){
      return "<sql>INSERT INTO transactions (tx_type,item_name,user_name,quantity) VALUES ('"+type+"','"+item+"','"+client+"',"+quantity+")</sql>";
    }
};

var formBehaviours =
{
  // handles forms for send a per item transaction.
  
  '#client' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('type').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#type' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('item').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#item' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('quantity').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#quantity' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('addTrans').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#addTrans' : function(element)
  {
    element.onclick = function()
    {
      //Check if Symbol is a number
      if(formValidator.isEmpty($('client').value)){
        alert("Client name is required. Please try again!");
        $('client').value='';
        $('client').focus();
        return false;
      }

      //Check if Quantity is a number
      if(!formValidator.isNumber($('quantity').value)){
        alert("Quantity requires a valid number. Please try again!");
        $('quantity').focus();
        return false;
      }

      requestor.sendRequest($('client').value, $('type').value, $('item').value, $('quantity').value);
      $('client').focus();
      return true;
    }
  },
  
  // handles form for sending random transactions
  
  '#number' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('interval').focus();
	      return false;
	    }
	    return true;
    }
  },
  
  '#interval' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('addRandom').focus();
	      return false;
	    }
	    return true;
    }
  },
  
  '#addRandom' : function(element)
  {
    element.onclick = function()
    {
      //Check if Quantity is a number
      if(!formValidator.isNumber($('number').value, 100)){
        alert("Transaction requires a valid number! Please try again.");
        $('interval').focus();
        return false;
      }
    
      //Check if Quantity is a number
      if(!formValidator.isNumber($('interval').value, 1)){
        alert("Interval requires a valid number! Please try again.");
        $('addRandom').focus();
        return false;
      }
      
      requestor.sendRandomRequest($('number').value, $('interval').value);
      alert($('number').value + " random transactions will be sent!");
      $('number').value = 10;
      $('interval').value = 1;
      $('number').focus();
      return true;
    }
  }
  
};

Behaviour.register(formBehaviours);