var requestor = {
    uri: 'sendRequest/',
    httpUrl: "http://localhost:8077/grocery-demo/InventoryViewService/",

    sendRequest: function(username, password, limit){
        var xmlMsg = requestor.toXML(username, password, limit);        
        var params = "url="+requestor.httpUrl+"&content="+xmlMsg;
        
        var updaterReq = new Ajax.Request(requestor.uri, { method: 'post', parameters: params, onComplete: requestor.showResponse });
    },
    
    sendRandomRequest: function(number){
        var params = "url="+requestor.httpUrl+"&number="+number;
        var updaterReq = new Ajax.Request(requestor.uri, { method: 'post', parameters: params, onComplete: requestor.showResponse });
    },

    showResponse: function(request){
        var result = requestor.getXmlBody(request);  
        
        var tbody = $('itemtbody');
        
        if (!tbody || !result) return;
        
        var resultSet = result.getElementsByTagName("resultSet")[0];
        
        if(resultSet == null){
          if(requestor.isValidAccount(result)){
            alert("No results found! Please try again");
          }
          return;
        }
        
        var tbodyRowCount = tbody.rows.length;
        var resultRowCount = resultSet.childNodes.length;
        
        var keepRows = requestor.resultItemsToArray(resultSet);
        
        itemTable.removeRows(tbody, keepRows);
        itemTable.addResponse(result);
        
    },

    getXmlBody: function(request){
        var ebody = request.responseXML.getElementsByTagName('e:Body')[0];
        if(ebody == null) {
            return request.responseXML.firstChild.firstChild;
        } else {
            return ebody;
        } 
    },

    toXML: function(username, password, limit){
      var strXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
          strXML += "<e:Envelope xmlns:e=\"http://schemas.xmlsoap.org/soap/envelope/\"><e:Body>";
          strXML += "<item_request><auth username='" +username+"' password='" +password+"'/>";
          strXML += "<fields><field>item_name</field><field>curr_stock</field><field>supplied_by</field><field>item_price</field></fields>";          
          strXML += "<condition>" + limit + " >= curr_stock</condition></item_request>";          
          strXML += "</e:Body></e:Envelope>";
      
      return strXML;
    },
    
    resultItemsToArray: function(resultSet){
      
      var items = new Array(resultSet.childNodes.length);
      for(i=0;i<items.length;i++){
        var tempItem = resultSet.childNodes[i];
        var tempItemId = tempItem.getAttribute("item_name");
        items[i] = tempItemId;
      }
      
      return items;
    },
    
    isValidAccount: function(result){
      var exceptionElem = result.getElementsByTagName("exception")[0];
      if(exceptionElem == null){
        return true;
      }
      
      var exceptionStr = exceptionElem.getAttribute("class");
      
      if(exceptionStr == "class java.lang.SecurityException"){
        alert("Invalid Username/Password! Please try again.");
        return false;
      }
    }
};


// -- Validation for data submitted in the form. --
var checkLimit = {
  isNumber: function(quantity) {
    quantity = formValidator.trimValue(quantity.toString());
    
    if(quantity.length == 0){
      $('limit').value = 0;
      return true;  
    }
    
    var anum=/(^\d+$)|(^\d+\.\d+$)/
    if (!anum.test(quantity))
      return false;
    return true;
  }
};

var formBehaviours =
{
  '#supplier' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('password').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#password' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('limit').focus();
	      return false;
	    }
	    return true;
    }
  },

  '#limit' : function(element)
  {
    element.setAttribute("autocomplete","OFF");
    element.onkeyup = function(ev)
    {
      var keyc=getKeyCode(ev);
      if (keyc==13 || keyc==10)
      {
        $('search').focus();
	      return false;
	    }
	    return true;
    }
  },
  
  '#search' : function(element)
  {
    element.onclick = function()
    {
      //Check if Symbol is a number
      if(formValidator.isEmpty($('password').value)){
        alert("Password name is required. Please try again!");
        $('password').value='';
        $('password').focus();
        return false;
      }
      
      //Check if Quantity is a number
      if(!checkLimit.isNumber($('limit').value)){
        alert("Stock limit requires a valid number. Please try again!");
        $('limit').focus();
        return false;
      }
      
      requestor.sendRequest($('username').value, $('password').value, $('limit').value);
      $('username').focus();
      return true;
    }
  }
};

Behaviour.register(formBehaviours);
