<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<div class="portlet">

<fmt:bundle basename="jbicomponents">
<div class="breadcrumbs">
    <portlet:renderURL var="componentsURL">
        <portlet:param name="command" value="showjbicomponents" />
    </portlet:renderURL>
    <a href="${componentsURL}">
        <span><fmt:message key="breadcrumbs.components.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.component.label" /></span>
</div>
<fieldset>
    <legend><fmt:message key="component.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td><fmt:message key="component.name.label" /></td>
                <td>:</td>
                <td><div class="field">${model.component.name}</div></td>
                <td width="50px" />
                <td><fmt:message key="component.type.label" /></td>
                <td>:</td>
                <td><div class="field"><fmt:message key="${model.component.type}" /></div></td>
            </tr>
            <tr>
                <td><fmt:message key="component.status.label" /></td>
                <td>:</td>
                <web:status status="${model.component.status}" />
                <td width="50px" />
                <td><fmt:message key="component.actions.label" /></td>
                <td>:</td>
                <portlet:actionURL var="componentAction" />
                <form method="post" action=${componentAction}>
                    <input type="hidden" name="componentObjectName" value="${model.component.objectName}" />
                    <input type="hidden" name="componentName" value="${model.component.name}" />
                    <input type="hidden" name="command" value="executecomponentaction" />
                    <web:actions actions="${model.component.actions}" bundle="jbicomponents" />
                </form>
            </tr>
        </tbody>
    </table>
</fieldset>
<fieldset>
    <legend><fmt:message key="component.service.units.title" /></legend>
    <table>
        <core:choose>
            <core:when test="${empty model.serviceUnits}">
                <tbody>
                    <tr>
                        <td><fmt:message key="service.units.not.present.message" /></td>
                    </tr>
                </tbody>
            </core:when>
            <core:otherwise>
                <thead>
                    <tr>
                        <th><fmt:message key="component.service.unit.name.label" /></th>
                    </tr>
                </thead>
                <tbody>
                    <core:forEach varStatus="status" var="unit" items="${model.serviceUnits}">
                        <core:choose>
                        <core:when test="${status.count % 2 == 0}">
                            <tr class="even">
                        </core:when>
                        <core:otherwise>
                            <tr class="odd">
                        </core:otherwise>
                        </core:choose>
                                <td>${unit.name}</td>
                            </tr>
                    </core:forEach>
                </tbody>
            </core:otherwise>
        </core:choose>
    </table>
</fieldset>
</fmt:bundle>

</div>

