<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />



<fmt:bundle basename="jbicomponents">

<div class="portlet">

<div class="breadcrumbs">
    <span><fmt:message key="breadcrumbs.components.label" /></span>
</div>

<table>
    <thead>
        <tr>
            <th><fmt:message key="component.name.header" /></th>
            <th><fmt:message key="component.type.header" /></th>
            <th><fmt:message key="component.status.header" /></th>
            <th><fmt:message key="component.actions.header" /></th>
        </tr>
    </thead>
    <tbody>
        <core:forEach varStatus="status" var="component" items="${model.components}">
            <core:choose>
            <core:when test="${status.count % 2 == 0}">
                <tr class="even">
            </core:when>
            <core:otherwise>
                <tr class="odd">
            </core:otherwise>
            </core:choose>
                <td>
                    <portlet:renderURL var="showComponentDetailURL">
                        <portlet:param name="command" value="showcomponentdetail" />
                        <portlet:param name="componentName" value="${component.name}" />
                    </portlet:renderURL>
                    <a href="${showComponentDetailURL}">
                        <core:out value="${component.name}" />
                    </a>
                </td>
                <td>
                <fmt:message var="componentType" key="${component.type}" />
                <core:choose>
                    <core:when test="${component.bindingComponent}">
                        <img class="icon" style="margin: 0px 5px;" src="/images/link.gif" alt="${componentType}" title="${componentType}"/>
                    </core:when>
                    <core:when test="${component.serviceEngine}">
                        <img class="icon" style="margin: 0px 5px;" src="/images/cog.gif" alt="${componentType}" title="${componentType}" />
                    </core:when>
                    <core:otherwise>
                        <img class="icon" style="margin: 0px 5px;" src="/images/bricks.gif" alt="${componentType}" title="${componentType}" />
                    </core:otherwise>
                </core:choose>
                </td>
                <web:status status="${component.status}" />
                <portlet:actionURL var="componentAction" />
                <form method="post" action="${componentAction}">
                    <input type="hidden" name="componentObjectName" value="${component.objectName}" />
                    <input type="hidden" name="componentName" value="${component.name}" />
                    <input type="hidden" name="command" value="executecomponentaction" />
                    <web:actions actions="${component.actions}" bundle="jbicomponents" />
                </form>
            </tr>
        </core:forEach>
    </tbody>
</table>

</div>

</fmt:bundle>

