<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<div class="portlet">

<fmt:bundle basename="jbicontainer">
<fieldset>
<legend><fmt:message key="container.title" /></legend>
<table width="75%">
    <tbody>
        <tr>
            <td>
                <table>
                    <tbody>
                        <tr>
                            <td><fmt:message key="system.info.label" />:</td>
                            <td><div class="field">${model.systemInfo}</div></td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="50%">
                    <thead>
                        <tr>
                            <th><fmt:message key="container.name.header" /></th>
                            <th><fmt:message key="container.status.header" /></th>
                            <th><fmt:message key="container.actions.header" /></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td title="${model.container.description}">${model.container.name}</td>
                            <web:status status="${model.container.status}" />
                            <portlet:actionURL var="containerAction" />
                            <form method="post" action=${containerAction}>
                                <input type="hidden" name="command" value="executeserviceaction" />
                                <input type="hidden" name="objectName" value="${model.container.objectName}" />
                                <web:actions actions="${model.container.actions}" bundle="jbicontainer" />
                            </form>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
</fieldset>

<fieldset>
<legend><fmt:message key="system.services.title" /></legend>
<table width="50%">
    <thead>
        <tr>
            <th><fmt:message key="system.service.name.header" /></th>
            <th><fmt:message key="system.service.status.header" /></th>
            <th><fmt:message key="system.service.actions.header" /></th>
        </tr>
    </thead>
    <tbody>
        <core:forEach varStatus="status" var="service" items="${model.systemServices}">
        <core:choose>
        <core:when test="${status.count % 2 == 0}">
            <tr class="even">
        </core:when>
        <core:otherwise>
            <tr class="odd">
        </core:otherwise>
        </core:choose>
                <td title="${service.description}"><core:out value="${service.name}" /></td>
                <web:status status="${service.status}" />
                <portlet:actionURL var="serviceAction" />
                <form method="post" action=${serviceAction}>
                    <input type="hidden" name="command" value="executeserviceaction" />
                    <input type="hidden" name="objectName" value="${service.objectName}" />
                    <web:actions actions="${service.actions}" bundle="jbicontainer" />
                </form>
            </tr>
        </core:forEach>
    </tbody>
</table>
</fieldset>
</fmt:bundle>

</div>

