<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<div class="portlet">

<fmt:bundle basename="jbiupload">
<portlet:actionURL var="uploadURL">
    <portlet:param name="command" value="uploadpackage" />
</portlet:actionURL>
<form method="post" action="${uploadURL}" enctype="multipart/form-data">
<table>
    <tbody>
        <tr>
            <td><fmt:message key="deploy.assembly.label" /></td>
            <td>:</td>
            <td>
                <input type="file" name="JBIPackage" />
            </td>
            <td width="20px" />
            <td>
                <button type="submit">
                    <fmt:message key="deploy.assembly.button" />
                </button>
            </td>
        </tr>
    </tbody>
</table>
</form>

<fieldset>
    <legend><fmt:message key="deployed.assemblies.title" /></legend>
    <core:choose>
        <core:when test="${empty model.assemblies}">
            <fmt:message key="deployed.assemblies.not.present.message" />
        </core:when>
        <core:otherwise>
            <table>
                <thead>
                    <tr>
                        <th><fmt:message key="deployed.package.name.header" /></th>
                        <th><fmt:message key="deployed.package.status.header" /></th>
                        <th><fmt:message key="deployed.package.actions.header" /></th>
                    </tr>
                </thead>
                <tbody>
                    <core:forEach varStatus="status" var="package" items="${model.assemblies}">
                    <core:choose>
                    <core:when test="${status.count % 2 == 0}">
                        <tr class="even">
                    </core:when>
                    <core:otherwise>
                        <tr class="odd">
                    </core:otherwise>
                    </core:choose>
                            <td>${package.name}</td>
                            <web:status status="${package.status}" />
                            <portlet:actionURL var="assemblyAction" />
                            <form method="post" action="${assemblyAction}">
                                <input type="hidden" name="command" value="executeassemblyaction" />
                                <input type="hidden" name="assemblyName" value="${package.name}" />
                                <web:actions actions="${package.actions}" bundle="jbiupload" />
                            </form>
                        </tr>
                    </core:forEach>
                </tbody>
            </table>
        </core:otherwise>
    </core:choose>
</fieldset>
</fmt:bundle>

</div>
