<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<fmt:bundle basename="jmsbrokers">

<div class="toolbar">
    <portlet:renderURL var="createSubscriberURL">
        <portlet:param name="command" value="showcreatesubscriber" />
        <portlet:param name="brokerName" value="${model.broker.name}" />
    </portlet:renderURL>
    <a href="${createSubscriberURL}">
        <img class="icon" style="padding-bottom: 2px;" src="/images/transmit_add.gif" alt="<fmt:message key='broker.new.subscriber.button' />" />
        <fmt:message key="broker.new.subscriber.button" />
    </a>
</div>

<div class="portlet">

<div class="breadcrumbs">
    <portlet:renderURL var="brokersURL">
        <portlet:param name="command" value="showjmsbrokers" />
    </portlet:renderURL>
    <a href="${brokersURL}">
        <span><fmt:message key="breadcrumbs.brokers.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.broker.detail.label" /></span>
</div>

<fieldset>
    <legend><fmt:message key="broker.summary.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td><fmt:message key="broker.name.label" /></td>
                <td>:</td>
                <td><div class="field">${model.broker.name}</div></td>
                <td width="15px" />
                <td><fmt:message key="broker.identifier.label" /></td>
                <td>:</td>
                <td><div class="field">${model.broker.identifier}</div></td>
            </tr>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><fmt:message key="broker.subscribers.title" /></legend>
    <table>
        <thead>
            <tr>
                <th><fmt:message key="subscriber.client.id.label" /></th>
                <th><fmt:message key="subscriber.name.label" /></th>
                <th><fmt:message key="subscriber.destination.type.label" /></th>
                <th><fmt:message key="subscriber.type.label" /></th>
                <th><fmt:message key="subscriber.status.label" /></th>
                <th><fmt:message key="subscriber.subscriptions.label" /></th>
            </tr>
        </thead>
        <tbody>
            <core:forEach varStatus="status" var="subscriber" items="${model.subscribers}">
                <core:choose>
                <core:when test="${status.count % 2 == 0}">
                    <tr class="even">
                </core:when>
                <core:otherwise>
                    <tr class="odd">
                </core:otherwise>
                </core:choose>
                        <td>
                            <core:choose>
                                <core:when test="${subscriber.browsable}">
                                    <portlet:renderURL var="subscriberMessagesURL">
                                        <portlet:param name="command" value="showsubscribermessages" />
                                        <portlet:param name="brokerName" value="${subscriber.broker.name}" />
                                        <portlet:param name="subscriberObjectName" value="${subscriber.objectName}" />
                                    </portlet:renderURL>
                                    <a href="${subscriberMessagesURL}">${subscriber.clientId}</a>
                                </core:when>
                                <core:otherwise>
                                    ${subscriber.clientId}
                                </core:otherwise>
                            </core:choose>
                        </td>
                        <td>${subscriber.name}</td>
                        <td style="text-align:center;">${subscriber.destinationType}</td>
                        <td style="text-align:center;">${subscriber.type}</td>
                        <td style="text-align:center;">
                            <input type="checkbox" disabled="disabled" <core:if test="${subscriber.active}">checked="checked"</core:if> />
                        </td>
                        <td>${subscriber.subscriptions}</td>
                    </tr>
            </core:forEach>
        </tbody>
    </table>
</fieldset>

</div>

</fmt:bundle>

