<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

 <script type="text/javascript">
      function <portlet:namespace />validateSubscriberInfo() {
         var topicLength = document.createSubscriberForm.subscriberTopicName.value.length;
         var clientIdLength = document.createSubscriberForm.subscriberClientId.value.length;
         var nameLength = document.createSubscriberForm.subscriberName.value.length;

         if(topicLength == 0){ 
             alert("Topic name required");
             return false;
         } 
         
         if(clientIdLength == 0){ 
             alert("Client ID required");
             return false;
         }    
         
         if(nameLength == 0){ 
             alert("Subscriber name required");
             return false;
         }                  
         
         return true;   
             
             
      }
 </script>

<fmt:bundle basename="jmsbrokers">

<div class="portlet">

    <div class="breadcrumbs">
        <portlet:renderURL var="brokersURL">
            <portlet:param name="command" value="showjmsbrokers" />
        </portlet:renderURL>
        <a href="${brokersURL}">
            <span><fmt:message key="breadcrumbs.brokers.label" /></span>
        </a>
        &nbsp;&nbsp;&#187;&nbsp;&nbsp;
        <portlet:renderURL var="brokerDetailURL">
            <portlet:param name="command" value="showbrokerdetail" />
            <portlet:param name="brokerName" value="${model.broker.name}" />
        </portlet:renderURL>
        <a href="${brokerDetailURL}">
            <span><fmt:message key="breadcrumbs.broker.detail.label" /></span>
        </a>
        &nbsp;&nbsp;&#187;&nbsp;&nbsp;
        <span><fmt:message key="breadcrumbs.create.subscriber.label" /></span>
    </div>

    <portlet:actionURL var="createSubscriberURL" />
    <form name="createSubscriberForm" method="post" action="${createSubscriberURL}"   onSubmit=return(<portlet:namespace />validateSubscriberInfo());>
    <input type="hidden" name="command" value="createsubscriber" />
    <input type="hidden" name="brokerName" value="${model.broker.name}" />
    <table>
        <tbody>
            <tr>
                <td><fmt:message key="broker.create.subscriber.topic.name.label" /></td>
                <td>:</td>
                <td>
                    <input type="text" name="subscriberTopicName" style="width:180px;" />
                </td>
            </tr>
            <tr>
                <td><fmt:message key="broker.create.subscriber.client.id.label" /></td>
                <td>:</td>
                <td>
                    <input type="text" name="subscriberClientId" style="width:180px;" />
                </td>
            </tr>
            <tr>
                <td><fmt:message key="broker.create.subscriber.name.label" /></td>
                <td>:</td>
                <td>
                    <input type="text" name="subscriberName" style="width:180px;" />
                </td>
            </tr>
            <tr>
                <td><fmt:message key="broker.create.subscriber.type.label" /></td>
                <td>:</td>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><input type="radio" name="subscriberType" value="temporary" disabled="disabled" /></td>
                                <td><fmt:message key="subscriber.type.temporary.label" /></td>
                            </tr>
                            <tr>
                                <td><input type="radio" name="subscriberType" value="normal" disabled="disabled" /></td>
                                <td><fmt:message key="subscriber.type.normal.label" /></td>
                            </tr>
                            <tr>
                                <td><input type="radio" name="subscriberType" value="durable" checked="checked" /></td>
                                <td><fmt:message key="subscriber.type.durable.label" /></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="3" align="right">
                    <button type="submit"><fmt:message key="broker.create.subscriber.button"/></button>
                </td>
            </tr>
        </tbody>
    </table>
    </form>
</div>

</fmt:bundle>

