<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<fmt:bundle basename="jmsbrokers">

<div class="portlet">

<div class="breadcrumbs">
    <portlet:renderURL var="brokersURL">
        <portlet:param name="command" value="showjmsbrokers" />
    </portlet:renderURL>
    <a href="${brokersURL}">
        <span><fmt:message key="breadcrumbs.brokers.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <portlet:renderURL var="brokerURL">
        <portlet:param name="command" value="showbrokerdetail" />
        <portlet:param name="brokerName" value="${model.subscriber.broker.name}" />
    </portlet:renderURL>
    <a href="${brokerURL}">
        <span><fmt:message key="breadcrumbs.broker.detail.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.broker.subscriber.messages.label" /></span>
</div>

<fieldset>
    <legend><fmt:message key="subscriber.summary.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="subscriber.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.subscriber.name}</div></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="subscriber.subscriptions.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.subscriber.subscriptions}</div></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                <td width="25px" />
                <td valign="bottom">
                    <portlet:actionURL var="deleteSubscriberURL" />
                    <form method="post" action="${deleteSubscriberURL}">
                        <input type="hidden" name="command" value="deletesubscriber" />
                        <input type="hidden" name="brokerName" value="${model.subscriber.broker.name}" />
                        <input type="hidden" name="subscriberObjectName" value="${model.subscriber.objectName}" />
                        <button type="submit" onclick="<portlet:namespace />deleteSubscriber(this); return false;">
                            <img class="icon" src="/images/transmit_delete.gif" alt="<fmt:message key='subscriber.delete.button' />" />
                            <fmt:message key="subscriber.delete.button" />
                        </button>
                    </form>
                    <script type="text/javascript">
                        function <portlet:namespace />deleteSubscriber(button)
                        {
                            var confirmed = confirm("<fmt:message key='subscriber.confirm.delete.message' />");
                            if (confirmed) button.form.submit();
                        }
                    </script>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><fmt:message key="subscriber.messages.title" /></legend>
    <table>
        <tbody>
            <tr>
                <core:choose>
                    <core:when test="${empty model.messages}">
                        <td>
                            <fmt:message key="subscriber.messages.not.present.message" />
                        </td>
                    </core:when>
                    <core:otherwise>
                        <td>
                            <table>
                                <thead>
                                    <tr>
                                        <th><fmt:message key="message.jmsmessageid.label" /></th>
                                        <th><fmt:message key="message.jmstimestamp.label" /></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <core:forEach varStatus="status" var="message" items="${model.messages}">
                                        <core:choose>
                                        <core:when test="${status.count % 2 == 0}">
                                            <tr class="even">
                                        </core:when>
                                        <core:otherwise>
                                            <tr class="odd">
                                        </core:otherwise>
                                        </core:choose>
                                                <td>
                                                    <portlet:renderURL var="messageDetailURL">
                                                        <portlet:param name="command" value="showsubscribermessagedetail" />
                                                        <portlet:param name="brokerName" value="${model.subscriber.broker.name}" />
                                                        <portlet:param name="subscriberObjectName" value="${model.subscriber.objectName}" />
                                                        <portlet:param name="JMSMessageID" value="${message.JMSMessageID}" />
                                                    </portlet:renderURL>
                                                    <a href="${messageDetailURL}">${message.JMSMessageID}</a>
                                                </td>
                                                <td>${message.propertiesValues["JMSTimestamp"]}</td>
                                            </tr>
                                    </core:forEach>
                                </tbody>
                            </table>
                        </td>
                    </core:otherwise>
                </core:choose>
            </tr>
        </tbody>
    </table>
</fieldset>

</div>

</fmt:bundle>

