<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<div class="portlet">

<fmt:bundle basename="jmsqueues">
<div class="breadcrumbs">
    <portlet:renderURL var="queuesURL">
        <portlet:param name="command" value="showjmsqueues" />
    </portlet:renderURL>
    <a href="${queuesURL}">
        <span><fmt:message key="breadcrumbs.queues.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <portlet:renderURL var="messagesURL">
        <portlet:param name="command" value="showqueuemessages" />
        <portlet:param name="brokerName" value="${model.queue.broker.name}" />
        <portlet:param name="queueName" value="${model.queue.name}" />
    </portlet:renderURL>
    <a href="${messagesURL}">
        <span><fmt:message key="breadcrumbs.messages.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.message.detail.label" /></span>
</div>

<fieldset>
    <legend><fmt:message key="messages.queue.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="messages.broker.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.queue.broker.name}</div></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="messages.queue.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.queue.name}</div></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><fmt:message key="message.detail.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <thead>
                            <tr>
                                <th><fmt:message key="message.property.name.label" /></th>
                                <th><fmt:message key="message.property.value.label" /></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="odd">
                                <td>JMSMessageID</td>
                                <td>${model.JMSMessageID}</td>
                            </tr>
                            <core:set var="seen" value="0" />
                            <core:forEach varStatus="status" var="property" items="${model.message.propertiesNames}">
                                <%-- Needed for correctly displaying even and odd rows --%>
                                <core:choose>
                                    <core:when test="${property == 'JMSMessageID' || property == 'Text'}">
                                        <core:set var="seen" value="${seen + 1}" />
                                    </core:when>
                                    <core:otherwise>
                                        <core:choose>
                                        <core:when test="${status.count % 2 == 0}">
                                            <core:choose>
                                                <core:when test="${seen % 2 == 0}">
                                                    <tr class="odd">
                                                </core:when>
                                                <core:otherwise>
                                                    <tr class="even">
                                                </core:otherwise>
                                            </core:choose>
                                        </core:when>
                                        <core:otherwise>
                                            <core:choose>
                                                <core:when test="${seen % 2 == 0}">
                                                    <tr class="even">
                                                </core:when>
                                                <core:otherwise>
                                                    <tr class="odd">
                                                </core:otherwise>
                                            </core:choose>
                                        </core:otherwise>
                                        </core:choose>
                                                <td>${property}</td>
                                                <td>${model.message.propertiesValues[property]}</td>
                                            </tr>
                                    </core:otherwise>
                                </core:choose>
                            </core:forEach>
                        </tbody>
                    </table>
                </td>
                <td width="15px" />
                <td valign="top">
                    <table>
                        <tbody>
                            <tr>
                                <td>
                                    <portlet:actionURL var="deleteMessageURL" />
                                    <form method="post" action="${deleteMessageURL}">
                                        <input type="hidden" name="command" value="deletequeuemessages" />
                                        <input type="hidden" name="brokerName" value="${model.queue.broker.name}" />
                                        <input type="hidden" name="queueName" value="${model.queue.name}" />
                                        <input type="hidden" name="JMSMessageID" value="${model.JMSMessageID}" />
                                        <button style="width:100%;" type="submit">
                                            <fmt:message key="message.delete.button" />
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <portlet:actionURL var="forwardMessageURL" />
                                    <form method="post" action="${forwardMessageURL}">
                                        <input type="hidden" name="command" value="forwardqueuemessages" />
                                        <input type="hidden" name="brokerName" value="${model.queue.broker.name}" />
                                        <input type="hidden" name="queueName" value="${model.queue.name}" />
                                        <input type="hidden" name="JMSMessageID" value="${model.JMSMessageID}" />
                                        <input type="hidden" name="destinationName" value="" />
                                        <button style="width:100%;" type="button" onclick="<portlet:namespace />forwardMessage(this); return false;">
                                            <fmt:message key="message.forward.button" />
                                        </button>
                                    </form>
                                    <script type="text/javascript">
                                        function <portlet:namespace />forwardMessage(button)
                                        {
                                            var destination = window.prompt("<fmt:message key='message.forward.destination.name.message' />", "");
                                            if (destination != undefined)
                                            {
                                                button.form.destinationName.value = destination;
                                                button.form.submit();
                                            }
                                        }
                                    </script>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="message.content.label" />:</td>
                            </tr>
                            <tr>
                                <td>
                                    <core:choose>
                                        <core:when test="${empty model.message.text}">
                                            <fmt:message key="message.no.text.message" />
                                        </core:when>
                                        <core:when test="${empty model.XMLFormattedMessageText}">
                                            <pre class="text">${model.message.text}</pre>
                                        </core:when>
                                        <core:otherwise>
                                            <pre class="text"><core:out value="${model.XMLFormattedMessageText}" escapeXml="true" /></pre>
                                        </core:otherwise>
                                    </core:choose>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>
</fmt:bundle>

</div>

