<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<fmt:bundle basename="jmsqueues">

<div class="portlet">
<div class="breadcrumbs">
    <portlet:renderURL var="queuesURL">
        <portlet:param name="command" value="showjmsqueues" />
    </portlet:renderURL>
    <a href="${queuesURL}">
        <span><fmt:message key="breadcrumbs.queues.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.messages.label" /></span>
</div>

<fieldset>
    <legend><fmt:message key="messages.queue.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="messages.broker.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.queue.broker.name}</div></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="messages.queue.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.queue.name}</div></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="messages.message.count.label" /></td>
                                <td>:</td>
                                <td><div class="field">${func:length(model.messages)}</div></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                <td width="15px" />
                <td valign="bottom">
                    <portlet:actionURL var="deleteQueueURL" />
                    <form method="post" action="${deleteQueueURL}">
                        <input type="hidden" name="command" value="deletequeue" />
                        <input type="hidden" name="brokerName" value="${model.queue.broker.name}" />
                        <input type="hidden" name="queueName" value="${model.queue.name}" />
                        <button type="submit" onclick="<portlet:namespace />deleteQueue(this); return false;">
                            <img class="icon" style="" src="/images/folder_delete.gif" alt="<fmt:message key='messages.queue.delete.button' />" />
                            <fmt:message key="messages.queue.delete.button" />
                        </button>
                    </form>
                    <script type="text/javascript">
                        function <portlet:namespace />deleteQueue(button)
                        {
                            var confirmed = confirm("<fmt:message key='messages.queue.confirm.delete.message' />");
                            if (confirmed) button.form.submit();
                        }
                    </script>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><fmt:message key="messages.title" /></legend>
    <portlet:actionURL var="queueAction" />
    <form method="post" action="${queueAction}">
    <input type="hidden" name="command" value="this is a bug" />
    <input type="hidden" name="brokerName" value="${model.queue.broker.name}" />
    <input type="hidden" name="queueName" value="${model.queue.name}" />
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <core:choose>
                    <core:when test="${empty model.messages}">
                        <td>
                            <fmt:message key="messages.not.present.message" />
                        </td>
                    </core:when>
                    <core:otherwise>
                        <td>
                            <table>
                                <thead>
                                    <tr>
                                        <th align="center"><input type="checkbox" disabled="disabled" /></th>
                                        <th><fmt:message key="message.jmsmessageid.label" /></th>
                                        <th><fmt:message key="message.jmstimestamp.label" /></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <core:forEach varStatus="status" var="message" items="${model.messages}">
                                        <core:choose>
                                        <core:when test="${status.count % 2 == 0}">
                                            <tr class="even">
                                        </core:when>
                                        <core:otherwise>
                                            <tr class="odd">
                                        </core:otherwise>
                                        </core:choose>
                                                <td>
                                                    <input type="checkbox" name="JMSMessageID" value="${message.JMSMessageID}" />
                                                </td>
                                                <td>
                                                    <portlet:renderURL var="messageDetailURL">
                                                        <portlet:param name="command" value="showqueuemessagedetail" />
                                                        <portlet:param name="brokerName" value="${message.destination.broker.name}" />
                                                        <portlet:param name="queueName" value="${message.destination.name}" />
                                                        <portlet:param name="JMSMessageID" value="${message.JMSMessageID}" />
                                                    </portlet:renderURL>
                                                    <a href="${messageDetailURL}">${message.JMSMessageID}</a>
                                                </td>
                                                <td>${message.propertiesValues["JMSTimestamp"]}</td>
                                            </tr>
                                    </core:forEach>
                                </tbody>
                            </table>
                        </td>
                        <td width="15px" />
                        <td valign="top">
                            <table>
                                <tbody>
                                    <tr>
                                        <td>
                                            <button style="width:100%" type="button" onclick="<portlet:namespace />purgeQueue(this, 'purgequeue'); return false;" title="<fmt:message key='queue.purge.button.tip' />">
                                                <fmt:message key="queue.purge.button" />
                                            </button>
                                        </td>
                                        <script type="text/javascript">
                                            function <portlet:namespace />purgeQueue(button, command)
                                            {
                                                var confirmed = confirm("<fmt:message key='queue.purge.confirm.message' />");
                                                if (confirmed)
                                                {
                                                    button.form.command.value = command;
                                                    button.form.submit();
                                                }
                                            }
                                        </script>
                                    </tr>
                                    <tr>
                                        <td>
                                            <button style="width:100%" type="button" onclick="<portlet:namespace />deleteMessage(this, 'deletequeuemessages'); return false;" title="<fmt:message key='queue.delete.messages.button.tip' />">
                                                <fmt:message key="queue.delete.messages.button" />
                                            </button>
                                        </td>
                                        <script type="text/javascript">
                                            function <portlet:namespace />deleteMessage(button, command)
                                            {
                                                button.form.command.value = command;
                                                button.form.submit();
                                            }
                                        </script>
                                    </tr>
                                    <tr>
                                        <td>
                                            <button style="width:100%" type="button" onclick="<portlet:namespace />forwardMessage(this, 'forwardqueuemessages'); return false;" title="<fmt:message key='queue.forward.button.tip' />">
                                                <fmt:message key="queue.forward.button" />
                                            </button>
                                        </td>
                                        <script type="text/javascript">
                                            function <portlet:namespace />forwardMessage(button, command)
                                            {
                                                var destination = window.prompt("<fmt:message key='message.forward.destination.name.message' />", "");
                                                if (destination != undefined)
                                                {
                                                    var elm = document.createElement("input");
                                                    elm.type = "hidden";
                                                    elm.name = "destinationName";
                                                    elm.value = destination;
                                                    button.form.appendChild(elm);
                                                    button.form.command.value = command;
                                                    button.form.submit();
                                                }
                                            }
                                        </script>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </core:otherwise>
                </core:choose>
            </tr>
        </tbody>
    </table>
    </form>
</fieldset>

</div>

</fmt:bundle>


