<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<div class="portlet">

<fmt:bundle basename="jmstopics">
<div class="breadcrumbs">
    <portlet:renderURL var="topicsURL">
        <portlet:param name="command" value="showjmstopics" />
    </portlet:renderURL>
    <a href="${topicsURL}">
        <span><fmt:message key="breadcrumbs.topics.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <portlet:renderURL var="messagesURL">
        <portlet:param name="command" value="showtopicmessages" />
        <portlet:param name="brokerName" value="${model.topic.broker.name}" />
        <portlet:param name="topicName" value="${model.topic.name}" />
    </portlet:renderURL>
    <a href="${messagesURL}">
        <span><fmt:message key="breadcrumbs.messages.label" /></span>
    </a>
    &nbsp;&nbsp;&#187;&nbsp;&nbsp;
    <span><fmt:message key="breadcrumbs.message.detail.label" /></span>
</div>

<fieldset>
    <legend><fmt:message key="messages.topic.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="messages.broker.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.topic.broker.name}</div></td>
                            </tr>
                            <tr>
                                <td><fmt:message key="messages.topic.name.label" /></td>
                                <td>:</td>
                                <td><div class="field">${model.topic.name}</div></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>

<fieldset>
    <legend><fmt:message key="message.detail.title" /></legend>
    <table>
        <tbody>
            <tr>
                <td>
                    <table>
                        <thead>
                            <tr>
                                <th><fmt:message key="message.property.name.label" /></th>
                                <th><fmt:message key="message.property.value.label" /></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="odd">
                                <td>JMSMessageID</td>
                                <td>${model.JMSMessageID}</td>
                            </tr>
                            <core:set var="seen" value="0" />
                            <core:forEach varStatus="status" var="property" items="${model.message.propertiesNames}">
                                <%-- Needed for correctly displaying even and odd rows --%>
                                <core:choose>
                                    <core:when test="${property == 'JMSMessageID' || property == 'Text'}">
                                        <core:set var="seen" value="${seen + 1}" />
                                    </core:when>
                                    <core:otherwise>
                                        <core:choose>
                                        <core:when test="${status.count % 2 == 0}">
                                            <core:choose>
                                                <core:when test="${seen % 2 == 0}">
                                                    <tr class="odd">
                                                </core:when>
                                                <core:otherwise>
                                                    <tr class="even">
                                                </core:otherwise>
                                            </core:choose>
                                        </core:when>
                                        <core:otherwise>
                                            <core:choose>
                                                <core:when test="${seen % 2 == 0}">
                                                    <tr class="even">
                                                </core:when>
                                                <core:otherwise>
                                                    <tr class="odd">
                                                </core:otherwise>
                                            </core:choose>
                                        </core:otherwise>
                                        </core:choose>
                                                <td>${property}</td>
                                                <td>${model.message.propertiesValues[property]}</td>
                                            </tr>
                                    </core:otherwise>
                                </core:choose>
                            </core:forEach>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table>
                        <tbody>
                            <tr>
                                <td><fmt:message key="message.content.label" />:</td>
                            </tr>
                            <tr>
                                <td>
                                    <core:choose>
                                        <core:when test="${empty model.message.text}">
                                            <fmt:message key="message.no.text.message" />
                                        </core:when>
                                        <core:when test="${empty model.XMLFormattedMessageText}">
                                            <pre class="text">${model.message.text}</pre>
                                        </core:when>
                                        <core:otherwise>
                                            <pre class="text"><core:out value="${model.XMLFormattedMessageText}" escapeXml="true" /></pre>
                                        </core:otherwise>
                                    </core:choose>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
</fieldset>
</fmt:bundle>

</div>

