<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<fmt:bundle basename="jmstopics">

<div class="toolbar">
    <portlet:renderURL var="createTopicURL">
        <portlet:param name="command" value="showcreatetopic" />
    </portlet:renderURL>
    <a href="${createTopicURL}">
        <img class="icon" style="padding-bottom: 2px;" src="/images/lightning_add.gif" alt="<fmt:message key='topics.new.topic.button' />" />
        <fmt:message key="topics.new.topic.button" />
    </a>
</div>

<div class="portlet">
<div>
    <portlet:renderURL var="showTopicURL" />
    <form method="post" action="${showTopicURL}">
        <input type="hidden" name="command" value="starttopicstats" />
        <input type="hidden" name="refreshPeriod" value="${model.refreshPeriod}" />
        <table>
            <tbody>
                <tr>
                    <td><fmt:message key="topics.filter.label" />:</td>
                    <td><input type="text" name ="topicsFilter" value="${model.topicsFilter}" /></td>
                    <td><button onclick="this.form.submit()"><fmt:message key="topics.filter.button" /></button></td>
                </tr>
            </tbody>
        </table>
    </form>
</div>
<div class="toolbar">
    <portlet:renderURL var="stopRefreshURL">
        <portlet:param name="command" value="stoptopicstats" />
        <portlet:param name="topicsFilter" value="${model.topicsFilter}" />
    </portlet:renderURL>
    <a href="${stopRefreshURL}"  onclick="clearInterval(<portlet:namespace />statsPoller)" title="<fmt:message key='topics.monitoring.started.message' />">
        <img class="icon" style="padding-bottom: 2px;" src="/images/control_fastforward.gif" alt="<fmt:message key='topics.monitoring.stop.button' />" />
        <fmt:message key="topics.monitoring.stop.button" />
    </a>
</div>
<div id="<portlet:namespace />stats">
</div>
<portlet:renderURL var="showMessagesURL">
    <portlet:param name="command" value="showtopicmessages" />
    <portlet:param name="brokerName" value="BROKER_NAME" />
    <portlet:param name="topicName" value="DESTINATION_NAME" />
</portlet:renderURL>
<script type="text/javascript">
var <portlet:namespace />ajaxRequest;
var <portlet:namespace />statsPoller = setInterval(<portlet:namespace />ajaxRefresh, ${model.refreshPeriod});
var <portlet:namespace />messagesURLTemplate = "${showMessagesURL}";

function <portlet:namespace />ajaxRefresh()
{
    if (window.XMLHttpRequest) <portlet:namespace />ajaxRequest = new XMLHttpRequest();
    else if (window.ActiveXObject) <portlet:namespace />ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
    <portlet:namespace />ajaxRequest.onreadystatechange = <portlet:namespace />processRefresh;
    <portlet:namespace />ajaxRequest.open("GET", "/ajax/?command=refreshtopicstats&refreshPeriod=${model.refreshPeriod}&portletName=<%=portletConfig.getPortletName()%>&topicsFilter=${model.topicsFilter}", true);
    <portlet:namespace />ajaxRequest.send(null);
}

function <portlet:namespace />processRefresh()
{
    if (<portlet:namespace />ajaxRequest.readyState == 4 && <portlet:namespace />ajaxRequest.status == 200)
        <portlet:namespace />displayRefresh();
}

function <portlet:namespace />displayRefresh()
{
    var div = document.getElementById("<portlet:namespace />stats");
    if (div != null)
    {
        div.innerHTML = "";
        div.innerHTML = <portlet:namespace />ajaxRequest.responseText;
        <portlet:namespace />inserDestinationURLs();
    }
}
function <portlet:namespace />inserDestinationURLs()
{
    var destinationstats = document.getElementById("<portlet:namespace />stats");
    var ths = destinationstats.getElementsByTagName("th");
    if(ths.length < 1) {
        return;
    }
    var tbody = destinationstats.getElementsByTagName("tbody")[0];
    var trs = tbody.getElementsByTagName("tr");
    for(var ctr = 0; ctr < trs.length; ctr++) {
        var tr = trs[ctr];
        var cells = tr.getElementsByTagName("td");
        var destinationNameCell = cells[0];
        var destinationName = destinationNameCell.firstChild;
        var brokerNameCell = cells[1];
        var destinationLinkStr = <portlet:namespace />messagesURLTemplate.replace(/DESTINATION_NAME/, destinationName.nodeValue);
        destinationLinkStr = destinationLinkStr.replace(/BROKER_NAME/, brokerNameCell.firstChild.nodeValue);
        var destinationLink = document.createElement("a");
        destinationLink.setAttribute("href", destinationLinkStr);
        destinationNameCell.replaceChild(destinationLink, destinationName);
        destinationLink.appendChild(destinationName);
    }

}
</script>
</div>

</fmt:bundle>


