<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>


<fmt:bundle basename="jmstopics">

<table>
    <thead>
        <tr>
            <core:if test="${!empty model.topics}">
                <th><fmt:message key="topic.name.header" /></th>
                <th><fmt:message key="broker.name.header" /></th>
                <core:forEach var="name" items="${model.propertiesNames}">
                   <!-- <th><div style="overflow: hidden;">${name}</div></th> -->
                   <th>${name}</th>
                </core:forEach>
            </core:if>
        </tr>
    </thead>
    <tbody>
        <core:choose>
            <core:when test="${empty model.topics}">
                <tr>
                    <td>
                        <fmt:message key="topics.not.present.message" /> 
                    </td>
                </tr>
            </core:when>
            
            <core:otherwise>
                <core:forEach varStatus="status" var="topic" items="${model.topics}">
                    <core:choose>
                    <core:when test="${status.count % 2 == 0}">
                        <tr class="even">
                    </core:when>
                    <core:otherwise>
                        <tr class="odd">
                    </core:otherwise>
                    </core:choose>
                        <td>${topic.name}</td>
                        <td>${topic.broker.name}</td>
                        <core:forEach var="name" items="${model.propertiesNames}">
                            <td>${topic.propertiesValues[name]}</td>
                        </core:forEach>
                    </tr>
                </core:forEach>
            </core:otherwise>
        </core:choose>
    </tbody>
</table>

</fmt:bundle>


