<%@ taglib prefix="web" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="core" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="func" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />


<fmt:bundle basename="jmstopics">

<div class="toolbar">
    <portlet:renderURL var="createTopicURL">
        <portlet:param name="command" value="showcreatetopic" />
    </portlet:renderURL>
    <a href="${createTopicURL}">
        <img class="icon" style="padding-bottom: 2px;" src="/images/lightning_add.gif" alt="<fmt:message key='topics.new.topic.button' />" />
        <fmt:message key="topics.new.topic.button" />
    </a>
</div>

<div class="portlet">
<div>
    <portlet:renderURL var="showTopicURL" />
    <form method="post" action="${showTopicURL}">
        <input type="hidden" name="command" value="showjmstopics" />
        <table>
            <tbody>
                <tr>
                    <td><fmt:message key="topics.filter.label" />:</td>
                    <td><input type="text" name ="topicsFilter" value="${model.topicsFilter}" /></td>
                    <td><button onclick="this.form.submit()"><fmt:message key="topics.filter.button" /></button></td>
                </tr>
            </tbody>
        </table>
    </form>
</div>
<div class="toolbar">
    <portlet:renderURL var="startRefreshURL">
        <portlet:param name="command" value="starttopicstats" />
        <portlet:param name="refreshPeriod" value="${model.refreshPeriod}" />
        <portlet:param name="topicsFilter" value="${model.topicsFilter}" />
    </portlet:renderURL>
    <a href="${startRefreshURL}" title="<fmt:message key='topics.monitoring.stopped.message' />">
        <img class="icon" style="padding-bottom: 2px;" src="/images/control_fastforward.gif" alt="<fmt:message key='topics.monitoring.start.button' />" />
        <fmt:message key="topics.monitoring.start.button" />
    </a>
</div>
<div id="<portlet:namespace />stats">
<jsp:include page="topics-table.jsp" />
</div>
<portlet:renderURL var="showMessagesURL">
    <portlet:param name="command" value="showtopicmessages" />
    <portlet:param name="brokerName" value="BROKER_NAME" />
    <portlet:param name="topicName" value="DESTINATION_NAME" />
</portlet:renderURL>
<script type="text/javascript">
var <portlet:namespace />messagesURLTemplate = "${showMessagesURL}";

function <portlet:namespace />inserDestinationURLs()
{
    var destinationstats = document.getElementById("<portlet:namespace />stats");
    var ths = destinationstats.getElementsByTagName("th");
    if(ths.length < 1) {
        return;
    }
    var tbody = destinationstats.getElementsByTagName("tbody")[0];
    var trs = tbody.getElementsByTagName("tr");
    for(var ctr = 0; ctr < trs.length; ctr++) {
        var tr = trs[ctr];
        var cells = tr.getElementsByTagName("td");
        var destinationNameCell = cells[0];
        var destinationName = destinationNameCell.firstChild;
        var brokerNameCell = cells[1];
        var destinationLinkStr = <portlet:namespace />messagesURLTemplate.replace(/DESTINATION_NAME/, destinationName.nodeValue);
        destinationLinkStr = destinationLinkStr.replace(/BROKER_NAME/, brokerNameCell.firstChild.nodeValue);
        var destinationLink = document.createElement("a");
        destinationLink.setAttribute("href", destinationLinkStr);
        destinationNameCell.replaceChild(destinationLink, destinationName);
        destinationLink.appendChild(destinationName);
    }
}
<portlet:namespace />inserDestinationURLs();
</script>

</div>

</fmt:bundle>


