<%
/**
 * Copyright (c) 2000-2006 Liferay, LLC. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="init.jsp" %>

/******************************************************************************/
/* Liferay                                                                    */
/******************************************************************************/

/* Global */
<%

String fontXXS = "0.7em";
String fontXS = "0.8em";
String fontS = "0.9em";
String fontDefault = "1em";
String fontL = "1.1em";
String fontXL = "1.2em";
String fontXXL = "1.3em";

%>
A {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A:hover {
	text-decoration: underline;
}

BODY {
	background-color: <%= colorScheme.getLayoutBg() %>;
	border: 0;
	color: <%= colorScheme.getPortletFont() %>;
	margin: 0;
	padding: 0;
	text-align: center;
	font-family: Tahoma, Arial;
	font-size: 76%;
}

body * {
	font-size: <%= fontDefault %>;
}

body#body-bg {
	background: #000000 url(<%= themeDisplay.getPathColorSchemeImage() %>/background.gif) no-repeat fixed top left;
}

body#iframe-body-bg {
}


select {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
}

form { margin: 0; padding: 0; }

img { border: 0; margin: 0; padding: 0 }

ul {
	list-style-type: none;
	margin: 5px 0 10px 20px;
	padding: 0;
}

.form-button {
	border-color: <%= colorScheme.getPortletTitleBg() %>;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 10px;
}

.form-button-hover {
	border-bottom: solid 1px <%= colorScheme.getPortletTitleBg() %>;
	border-left: solid 1px <%= colorScheme.getLayoutBg() %>;
	border-right: solid 1px <%= colorScheme.getPortletTitleBg() %>;
	border-top: solid 1px <%= colorScheme.getLayoutBg() %>;
	font-family: Arial;
	font-size: 10px;
}

.form-text {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 80%;
}

.tree-js-pop-up DIV {
	background-color: #636363;
	border: 2px Outset #FFFFFF;
	display: none;
	padding: 4;
	position: absolute;
	text-align: left;
	z-index: 10;
}

/* Alpha */

.alpha {
	background-color: <%= colorScheme.getPortletTitleBg() %>;
}

.alpha-gradient {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
}

.alpha-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.alpha-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.alpha-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

A.alpha {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.alpha:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.alpha {
	background: none;
	color: <%= colorScheme.getPortletTitleText() %>;
	font-family: Tahoma, Arial;
}

/* Beta */

.beta {
	background-color: <%= colorScheme.getPortletMenuBg() %>;
}

.beta-gradient {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/transparent-gray.gif) repeat;
}

.beta-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.beta-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.beta-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_menu_bg_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

A.beta {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.beta:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.beta {
	background: none;
	color: <%= colorScheme.getPortletMenuText() %>;
	font-family: Tahoma, Arial;
}

/* Gamma */

.gamma {
	background-color: none;
}

.gamma-gradient {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_bg_x.gif) repeat-x;
}

.gamma-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.gamma-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.gamma-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/gamma_dotted_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

.gamma-tab {
	border-bottom: 1px solid <%= colorScheme.getPortletMenuBg() %>;
	margin-left: 0px;
	margin-top: 0px;
	margin-bottom: 15px;
	margin-right: 0px;
	padding-bottom: 27px;
	padding-left: 0px;
}

.gamma-tab ul, .gamma-tab li {
	background: <%= colorScheme.getPortletBg() %>;
	border: 1px solid <%= colorScheme.getPortletMenuBg() %>;
	color: <%= colorScheme.getPortletFont() %>;
	display: inline;
	float: left;
	font-family: Tahoma, Arial;
	font-size: 13px;
	font-weight: normal;
	line-height: 22px;
	list-style-type: none;
	margin-right: 8px;
	padding: 2px 10px 2px 10px;
	text-decoration: none;
}

.gamma-tab ul.current, .gamma-tab li.current {
	background: <%= colorScheme.getPortletBg() %>;
	border-bottom: 1px solid <%= colorScheme.getPortletBg() %>;
	color: <%= colorScheme.getPortletFont() %>;
}

.gamma-tab li.toggle {
	background: none;
	border: 0px;
	float: right;
	margin-right: 0px;
	padding-right: 0px;
}

A.gamma {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.gamma:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.gamma {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
}

/* Bg */

.bg {
	background-color: none;
}

.bg-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.bg-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

A.bg {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.bg:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.bg {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
}

/******************************************************************************/
/* Liferay Layout CSS                                                         */
/******************************************************************************/

/* Main Layout */

#layout-outer-side-decoration { }

#layout-inner-side-decoration {
	margin-top: 10px;
}

#layout-box {
	margin: 0 auto 0 auto;
}

#layout-top-banner {
	height: 75px;
	position: relative;
	text-align: left;
	z-index: 3;
}

#layout-user-menu {
	position: absolute;
	text-align: right;
	top: 0px;
	right: 0px;
}

#layout-my-places {
	position: relative;
	right: 0;
	width: 200px;
	padding: 0;
}

#layout-my-places form { text-align: right; }

#layout-my-places ul {
	background-color: <%= colorScheme.getLayoutBg() %>;
	border: 1px solid <%= colorScheme.getPortletTitleBg() %>;
	position: absolute;
	text-align: left;
	right: 0;
	top: 0;
	margin: 0;
}

#layout-my-places ul li {
	padding: 2px;
}

#layout-global-search {
	position: absolute;
	top: 5px;
	right: 5px;
}

#layout-corner-ul { }
#layout-corner-ur { }
#layout-corner-bl { }
#layout-corner-br { }
#layout-corner-2-bl { }
#layout-corner-2-br { }
#layout-top-decoration { }
#layout-bottom-decoration-2 { }

/* Top Navigation Layout */

#layout-nav-container {
	position: relative;
	z-index: 0;
}
.layout-nav-tabs { }

.layout-nav-row {
	position: relative;
	height: <%= TAB_IMAGE_HEIGHT %>;
	margin-bottom: -9px;
	width: 100%;
}

.layout-nav-tab-left {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-medium-left.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	left: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-right {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-medium-right.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	overflow: hidden;
	position: absolute;
	right: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-left-end {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-medium-left-end.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	left: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-right-end {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-medium-right-end.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	overflow: hidden;
	position: absolute;
	right: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-selected-left {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-left.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	left: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-selected-right {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-right.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	overflow: hidden;
	position: absolute;
	right: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}
.layout-nav-tab-selected-left-end {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-left-end.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	left: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab-selected-right-end {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-right-end.gif) no-repeat;
	height: <%= TAB_IMAGE_HEIGHT %>;
	overflow: hidden;
	position: absolute;
	right: -<%= TAB_IMAGE_SIDE_WIDTH %>;
	top: 0px;
	width: <%= TAB_IMAGE_SIDE_WIDTH %>;
}

.layout-nav-tab {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-medium-middle.gif) repeat-x;
	height: <%= TAB_IMAGE_HEIGHT %>;
	position: absolute;
}

.layout-nav-tab-selected {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-middle.gif) repeat-x;
	height: <%= TAB_IMAGE_HEIGHT %>;
	position: absolute;
	z-index: 100;
}

.layout-tab, .layout-tab A {
	color: <%= colorScheme.getLayoutTabText() %>;
	font-family: Tahoma, Arial;
	position: relative;
	top: 2px;
}

.layout-tab-selected, .layout-tab-selected A {
	color: <%= colorScheme.getLayoutTabSelectedText() %>;
	font-family: Tahoma, Arial;
	font-weight: bold;
	position: relative;
	top: 2px;
}

#layout-nav-menu-bar-left {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-bar-left.gif) no-repeat;
	height: 26px;
	left: 0;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: 11px;
}

#layout-nav-menu-bar-right {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-bar-right.gif) no-repeat;
	height: 26px;
	overflow: hidden;
	position: absolute;
	right: 0;
	top: 0px;
	width: 11px;
}

#layout-nav-menu-bar {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/tabs/tab-dark-bar-middle.gif) repeat-x;
	height: 26px;
	left: 0;
	position: absolute;
	top: 24px;
	width: 100%;
	z-index: 99;
}

#layout_nav_menu_list {
	position: relative;
	right: 10px;
	text-align: right;
	top: 2px;
	visibility: hidden;
	width: 100%;
	z-index: 100;
}

#layout-nav-container:hover #layout_nav_menu_list {
	visibility: visible;
}

/* Column Layout */

#layout-content-container {
	padding-top: 20px;
}

.layout-column-default {
	background-color: none;
}

.layout-column-highlight {
	background-color: #EEF;
}

#layout-bottom-container {
	clear: both;
	font-family: Verdana, Arial;
	font-size: 7pt;
	font-weight: normal;
	text-align: left;
}

.portal-add-content {
	background-color: <%= colorScheme.getLayoutBg() %>;
	border: 3px solid <%= colorScheme.getPortletTitleBg() %>;
	padding: 8px;
}

#bottom-container {
	border: 0;
	clear: both;
	padding: 0;
	text-align: left;
}

#bottom-content {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Verdana, Arial;
	font-size: 6.5pt;
	font-weight: normal;
	vertical-align: bottom;
}

#layout-column_column-1,
#layout-column_column-2,
#layout-column_column-3,
#layout-column_column-4,
#layout-column_column-5
{
	<c:choose>
		<c:when test="<%= BrowserSniffer.is_ie(request) %>">
			height: 75px;
		</c:when>
		<c:otherwise>
			min-height: 75px;
		</c:otherwise>
	</c:choose>
}

.layout-column-highlight {
	background: url(<%= themeDisplay.getPathThemeImage() %>/common/diagonal-lines.gif) scroll repeat;
}

/******************************************************************************/
/* Portlet CSS                                                                */
/******************************************************************************/

/* Liferay Portlet */

.portlet-container { position: relative; }

.portlet-box {
	border-left: 1px solid #6F81A1;
	border-right: 1px solid #6F81A1;
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/scanlines-bg.gif) repeat;
	<c:if test="<%= BrowserSniffer.is_ie(request) %>">
		height: 100%;
	</c:if>
	margin: 0 1px 0 1px;
}

.portlet-content {
	padding	: 5px 0 5px 0;
}

.portlet-header-bar {
	height: 30px;
	position: relative;
	text-align: left;
	z-index: 2;
}

.portlet-title {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-left.gif) no-repeat top left;
}

.portlet-title DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-right.gif) no-repeat top right;
	height: 30px;
}

.portlet-title DIV DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-middle.gif) repeat-x;
	font-size: 0;
	height: 30px;
	margin: 0 9px 0 9px;
}

.portlet-title-text {
	color: #FFFFFF;
	font-family: Tahoma, Arial;
	left: 10px;
	position: absolute;
	top: 4px;
}

.portlet-borderless-container { position: relative; }
.portlet-borderless-bar { text-align: left; font-size: <%= fontXS %>; }

.portlet-small-icon-bar {
	height: 17px;
	padding: 3px 10px 0 0;
	position: absolute;
	right: 0;
	text-align: right;
	top: 2px;
	z-index: 2;
	width: 70%;
}

.portlet-small-icon {
	height: 14px;
	margin: -1px;
	width: 14px;
}

.portlet-corner-ul {
	background: url(<%= themeDisplay.getPathThemeImage() %>/portlet/header-left.gif) no-repeat;
	height: 30px;
	left: -1px;
	overflow: hidden;
	position: absolute;
	top: 0px;
	width: 9px;
}

.portlet-corner-ur {
	background: url(<%= themeDisplay.getPathThemeImage() %>/portlet/header-right.gif) no-repeat;
	height: 30px;
	overflow: hidden;
	position: absolute;
	right: -1px;
	top: 0px;
	width: 9px;
}

.portlet-top-decoration {
	display: none;
	background: url(<%= themeDisplay.getPathThemeImage() %>/portlet/header-middle.gif) repeat-x;
	height: 30px;
	position: relative;
	top: 0px;
	width: 100%;
	z-index: 1;
}

.portlet-inner-top {
	margin: 0 auto 0 auto;
}

.portlet-bottom-blank {
	margin-bottom: 5px;
}

.portlet-bottom-decoration {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-close-left.gif) no-repeat top left;
}

.portlet-bottom-decoration DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-close-right.gif) no-repeat top right;
}
.portlet-bottom-decoration DIV DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/custom/header-close-middle.gif) repeat-x;
	height: 11px;
	font-size: 0;
	margin: 0 16px 0 16px;
}

/* Fonts */

.portlet-font {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-font-dim {
	color: <%= colorScheme.getPortletFontDim() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-font A {
	color: <%= colorScheme.getPortletFont() %>;
}

/* Messages */

.portlet-msg-status {
	color: <%= colorScheme.getPortletMsgStatus() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.portlet-msg-info {
	color: <%= colorScheme.getPortletMsgInfo() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-msg-error {
	color: <%= colorScheme.getPortletMsgError() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-msg-alert {
	color: <%= colorScheme.getPortletMsgAlert() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.portlet-msg-success {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Sections */

.portlet-section-header {
	color: <%= colorScheme.getPortletSectionHeader() %>;
	background: <%= colorScheme.getPortletSectionHeaderBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-body {
	color: <%= colorScheme.getPortletSectionBody() %>;
	background: <%= colorScheme.getPortletSectionBodyBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-body-hover, TR.portlet-section-body:hover {
	color: <%= colorScheme.getPortletSectionBodyHover() %>;
	background: <%= colorScheme.getPortletSectionBodyHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-body A {
	color: <%= colorScheme.getPortletSectionBody() %>;
}

.portlet-section-body-hover A, TR.portlet-section-body:hover A {
	color: <%= colorScheme.getPortletSectionBodyHover() %>;
}

.portlet-section-alternate {
	color: <%= colorScheme.getPortletSectionAlternate() %>;
	background: <%= colorScheme.getPortletSectionAlternateBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-alternate-hover, TR.portlet-section-alternate:hover {
	color: <%= colorScheme.getPortletSectionAlternateHover() %>;
	background: <%= colorScheme.getPortletSectionAlternateHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-alternate A {
	color: <%= colorScheme.getPortletSectionAlternate() %>;
}

.portlet-section-alternate-hover A, TR.portlet-section-alternate:hover A {
	color: <%= colorScheme.getPortletSectionAlternateHover() %>;
}

.portlet-section-selected {
	color: <%= colorScheme.getPortletSectionSelected() %>;
	background: <%= colorScheme.getPortletSectionSelectedBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-selected:hover, TR.portlet-section-selected:hover {
	color: <%= colorScheme.getPortletSectionSelectedHover() %>;
	background: <%= colorScheme.getPortletSectionSelectedHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-selected-hover A, portlet-section-selected A:hover {
	background: none;
}

.portlet-section-subheader {
	color: <%= colorScheme.getPortletSectionSubheader() %>;
	background: <%= colorScheme.getPortletSectionSubheaderBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-footer {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-text {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Forms */

.portlet-form-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-form-input-field {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 80%;
}

.portlet-form-button {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/button_gradient.gif) repeat-x;
	border-color: <%= colorScheme.getPortletTitleBg() %>;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 10px;
}

.portlet-icon-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.portlet-dlg-icon-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.portlet-form-field-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-form-field {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/******************************************************************************/
/* Navigation Portlet                                                         */
/******************************************************************************/

.portlet-navigation-menu {
	color: <%= colorScheme.getPortletFont() %>;
	margin: 10px 0 10px 15px;
	padding: 0px;
	font-family: Arial;
	font-size: x-small;
	text-align: left;
}

.portlet-navigation-menu UL {
	margin: 0 0 0 5px;
	padding: 0 0 0 15px;
}

/******************************************************************************/
/* Display Tag Library                                                        */
/******************************************************************************/

TR.even { background-color: <%= colorScheme.getPortletMenuBg() %>; color: #000000; font-family: Tahoma, Arial; }

TR.odd { background-color: <%= colorScheme.getPortletBg() %>; color: #000000; font-family: Tahoma, Arial; }
