var lbBankHandler =
{
  _handler: function(message) 
  {
    if (message != null)
    {
      var table = document.getElementById('responses-body');
      var id = getChildElementText(message, 'id');
      var row = find(table, id);
      if (row == undefined) {
          row = document.createElement('TR');
          row.setAttribute('id', id);
          createCell(row, message, 'ssn');
          createCell(row, message, 'amount');
          createCell(row, message, 'duration');
          createCell(row, message, 'bank');
          createCell(row, message, 'rate');
          row.appendChild(document.createElement('TD')); // status
          table.appendChild(row);
          alternate('responses-body');
      } else {
          updateCell(row, message, 'bank', 3);
          updateCell(row, message, 'rate', 4);
          row.childNodes[5].innerHTML = row.childNodes[5].innerHTML + ".";
      }
    }
  }
}

var lbResponsesHandler =
{
  _handler: function(message)
  {
    if (message != null)
    {
      var table = document.getElementById('responses-body');
      var id = getChildElementText(message, 'id');
      var row = find(table, id);
      if (row == undefined) {
          row = document.createElement('TR');
          row.setAttribute('id', id);
          createCell(row, message, 'ssn');
          createCell(row, message, 'amount');
          createCell(row, message, 'duration');
          createCell(row, message, 'bank');
          createCell(row, message, 'rate');
          var cell = document.createElement('TD');
          cell.innerHTML = getLocalName(message.firstChild.nextSibling);
          row.appendChild(cell); // status
          table.appendChild(row);
          alternate('responses-body');
      } else {
        var name = getLocalName(message);
        if (name == 'getLoanQuoteResponse') {
          updateCell(row, message, 'bank', 3);
          updateCell(row, message, 'rate', 4);
          row.childNodes[5].innerHTML = 'Done';
        } else if (name == 'loanQuoteFault') {
          row.childNodes[5].innerHTML = getLocalName(message.firstChild.nextSibling);
        } else {
          row.childNodes[5].innerHTML = getLocalName(message);
        }
      }
    }
  }
}

var lbBehaviours = 
{
  '#send': function(element)
  {
    element.onclick = function()
    {
      if(formValidator.isEmpty($F('ssn'))) {
        alert('Please enter an ssn');
        $('ssn').focus();
        return false;
      }
      if(formValidator.isEmpty($F('amount'))) {
        alert('Please enter an amount');
        $('amount').focus();
        return false;
      }
      if(!formValidator.isNumber($F('amount'))) {
        alert('Please enter a valid number for amount');
        $('amount').focus();
        return false;
      }
      if(formValidator.isEmpty($F('duration'))) {
        alert('Please enter a duration');
        $('duration').focus();
        return false;
      }
      if(!formValidator.isNumber($F('duration'))) {
        alert('Please enter a valid number for duration');
        $('duration').focus();
        return false;
      }
      lbClient.sendSingle($F('ssn'), $F('amount'), $F('duration'));
      return true;
    }
  },

  '#sendRandom': function(element)
  {
    element.onclick = function()
    {
      lbClient.sendRandom($F('number'));
      return true;
    }
  }
}
Behaviour.register(lbBehaviours);

var lbClient = 
{
  sendSingle: function(ssn, amount, duration)
  {
    new Ajax.Request('request.jsp', 
                     { method: 'post',
                       parameters: 'ssn=' + ssn + '&amount=' + amount + '&duration=' + duration
                     });
  },

  sendRandom: function(count)
  {
    new Ajax.Request('request.jsp', 
                     { method: 'post', 
                       parameters: 'number=' + count
                     });
  }
}

function alternate(id) {
  if (document.getElementsByTagName) {  
    var table = document.getElementById(id);  
    var rows = table.getElementsByTagName("tr");  
    for (i = 0; i < rows.length; i++) {          
      if (i % 2 == 0) {
        rows[i].className = "even";
      } else {
        rows[i].className = "odd";
      }      
    }
  }
}

function createCell(row, message, tag) {
  var cell = document.createElement('TD');
  var val = getChildElementText(message, tag);
  if (val != null) {
    cell.innerHTML = val;
  }
  row.appendChild(cell);
}

function updateCell(row, message, tag, index) {
  var cell = row.childNodes[index];
  var val = getChildElementText(message, tag);
  cell.innerHTML = val;
}

function lbBankPoll(first)
{
   if (first)
   {
     amq.addListener('lbBank','topic://logicblaze.soa.banks.requests', lbBankHandler._handler);
   }
}

amq.addPollHandler(lbBankPoll);

function lbResponsesPoll(first)
{
   if (first)
   {
     amq.addListener('lbResponses','topic://logicblaze.soa.loanbroker.responses', lbResponsesHandler._handler);
   }
}

amq.addPollHandler(lbResponsesPoll);

function getLocalName(root) {
    var nodeName = root.nodeName;
    if (nodeName.indexOf(':') > 0) {
      nodeName = nodeName.substring(nodeName.indexOf(':') + 1);
    }
    return nodeName;
}

function getChildElementText(root, name) {
    var value = null;
    for (var i = 0; value == null && i < root.childNodes.length; i++) {
        var child = root.childNodes[i];
        if (child.nodeType == 1) {
            var nodeName = getLocalName(child);
            if (nodeName == name && child.firstChild) {
                value = child.firstChild.nodeValue;
            } else {
                value = getChildElementText(child, name);
            }
        }
    }
    return value;
}

/** 
 * Find direct child of an element, by id. 
 */
function find(t, id) {
    for (i = 0; i < t.childNodes.length; i++) {
        var child = t.childNodes[i]
        if (child.id == id) {
            return child;
        }
    }
    return null
}

