/**
 *
 * Copyright 2005 LogicBlaze, Inc. http://www.logicblaze.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **/

package org.logicblaze.soa.util;

import java.util.List;
import java.util.ArrayList;

public class ItemListBean {
    protected List itemList = null;

    public ItemListBean() {
    }

    public ItemListBean(List list) {
        setItemList(list);
    }

    public void setItemList(List list) {
        if (list == null) {
            itemList = new ArrayList();
            return;
        }

        int size = list.size();
        if ((size == 0) || (list.get(0) instanceof ItemContentBean)) {
            itemList = list;
            return;
        }
    }

    public List getItemsList() {
        if (itemList == null) {
            return new ArrayList();
        }
        return itemList;
    }

    public int getSize() {
        if (itemList == null) {
            return 0;
        }
        return itemList.size();
    }

    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append(getClass().getName());
        buf.append(":[");
        if (itemList == null) {
            buf.append("null");
        }
        else {
            int size = itemList.size();
            for (int i = 0; i < size; ++i) {
                if (i > 0) {
                    buf.append(",");
                }
                buf.append((itemList.get(i)).toString());
            }
        }
        buf.append("]");
        return buf.toString();
    }

}
