#!/bin/sh
# ---------------------------------------------------------------------------
# WASCE customizations for geronimo.sh.
#
# This file is invoked prior to setjavaenv.sh and therefore selectively
# overrides default behavior.
# ---------------------------------------------------------------------------

# First instance of our WASCE's Java variable is initialized by the installer...
#WASCE_JAVA_HOME="java/home/jre1.5.0_05"
# Only use WASCE's Java if it is actually set to something (ie installer set it).
#if [ -n "$WASCE_JAVA_HOME" ] ; then
#  export JRE_HOME="$WASCE_JAVA_HOME"
#  export JAVA_HOME="$WASCE_JAVA_HOME"
#fi

if [ -z "$JRE_HOME" ] ; then
  export JRE_HOME="$JAVA_HOME"
fi
if [ -z "$JAVA_HOME" ] ; then
  export JAVA_HOME="$JRE_HOME"
fi
if [ -z "$WASCE_JAVA_HOME" ] ; then
  export WASCE_JAVA_HOME="$JAVA_HOME"
fi

# Make sure we have a JAVA_HOME setting
if [ -z "$JAVA_HOME" ] ; then
  echo "Error: Neither WASCE_JAVA_HOME, JAVA_HOME nor JRE_HOME is defined."
  echo "   At least one of these environment variables needs to be set."
  exit 1
fi

# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

if [ -z "$GERONIMO_HOME" ] ; then
    CUR_DIR=`pwd`
    cd ${PRGDIR}/..
    export GERONIMO_HOME=`pwd`
    cd ${CUR_DIR}
fi
if [ -z "$GERONIMO_BASE" ] ; then
  export GERONIMO_BASE="$GERONIMO_HOME"
fi
if [ -z "$WASCE_HOME" ] ; then
  export WASCE_HOME="$GERONIMO_HOME"
fi
export JAVA_OPTS="-Xms32m -Xmx256m -XX:MaxPermSize=256m  -Djava.endorsed.dirs=$GERONIMO_BASE/lib/endorsed $JAVA_OPTS"
